<?php
$datas = isset($args['data']) ?  $args['data'] : '';
$titre = isset($datas['titre']) ? $datas['titre'] : '';
$liste = isset($datas['liste']) ? $datas['liste'] : '';
$couleur_texte = isset($datas['couleur_texte']) ? $datas['couleur_texte'] : '';

$degrade_debut = isset(get_field('degrade')['debut']) ? get_field('degrade')['debut'] : '';
$degrade_fin = isset(get_field('degrade')['fin']) ? get_field('degrade')['fin'] : '';

$etape_position
  = isset(get_field('degrade')['etape_position']) && get_field('degrade')['etape_position'] != '' ? get_field('degrade')['etape_position']  : '0';
$etape_couleur =
  isset(get_field('degrade')['etape_couleur']) && get_field('degrade')['etape_couleur'] != '' ? get_field('degrade')['etape_couleur'] : 'transparent';
$theme = get_field('theme');


$couleur = get_field('couleur');
$deg = 'background:radial-gradient(75.26% 75.26% at 50.00% 50.00%, ' . $degrade_debut . ' 0%, ' . $etape_couleur . ' ' . $etape_position . '%, ' . $degrade_fin . ' 100%);';

// temp coleur pleine
$deg = 'background-color :' . $couleur;


if (is_array($datas)) :
?>
  <div class="bg bg-full" style="<?php echo $deg; ?>"></div>
  <div class="section-container">
    <h2 class="new-section-title scroll-appear mb-10 md:mb-20 text-left md:text-center" style="color:<?php echo $couleur_texte ?>"><?php echo $titre; ?></h2>
    <ul class="mx-auto max-w-7xl flex flex-col gap-8 md:gap-6 text-left md:grid md:grid-cols-3 " style="color:<?php echo $couleur_texte ?>">
      <?php

      if (is_array($liste)) {
        foreach ($liste as $item) {
      ?>
          <li class="lg:gap-24 scroll-appear">
            <h4 class="heading-text text-base md:text-lg mb-7 lg:mb-2"><?php echo $item['titre']; ?></h4>
            <div class="col-span-3 body-text text-base font-light md:font-normal"><?php echo $item['texte']; ?></div>
          </li>
      <?php
        }
      }
      ?>
    </ul>
  </div>
<?php endif; ?>